<?php

class RequestUtil extends System {
        
    public function __construct(){
       parent::__construct();
    }
    
    public function requestParam(String $param, $sanitized = false){
        $requestMethod = strtolower($_SERVER['REQUEST_METHOD']);
        
        $requestData = NO_STRING;
        
        switch($requestMethod){
            case "get":
                $requestData = $this -> getDataGet($param, $sanitized);
                break;
            case "post":
                $requestData = $this -> getDataPost($param, $sanitized);
                break;
        }
                
        return $requestData;
    }
}